Skip to navigation

Update

Updates the name and/or headers of an existing MCP server by name or ID. Providing headers replaces all existing headers. The URL cannot be changed; delete and re-create the server instead.

Authentication

AuthorizationBearer

Bearer authentication header of the form Bearer <PHONIC_API_KEY>. Manage your API keys here.

Path parameters

nameOrIdstringRequired
The name or the ID of the MCP server to update.

Query parameters

projectstringOptionalDefaults to main

The name of the project containing the MCP server. Only used when nameOrId is a name.

Request

This endpoint expects an object.
namestringOptional

The name of the MCP server. Must be snake_case, start with a lowercase letter and be unique within the project.

headersmap from strings to stringsOptional

Headers sent on every request to the MCP server. Replaces all existing headers. Header names must be unique (case-insensitive) and values cannot contain line breaks.

Response

Success response
successboolean
Whether the MCP server was updated successfully.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error